DebugEventInfo Struct Reference

Information about a debug event. More...

`#include <svc.h>`

## Data Fields

DebugEventType | type
| Type of event. See DebugEventType.
u32 | thread_id
| ID of the thread.
u32 | flags
| Flags. Bit0 means that svcContinueDebugEvent needs to be called for this event (except for EXIT PROCESS events, where this flag is disregarded).
u8 | remnants [4]
| Always 0.
union {
AttachProcessEvent attach_process
| Process attachment event data.
AttachThreadEvent attach_thread
| Thread attachment event data.
ExitThreadEvent exit_thread
| Thread exit event data.
ExitProcessEvent exit_process
| Process exit event data.
ExceptionEvent exception
| Exception event data.
ScheduleInOutEvent scheduler
| Schedule in/out event data.
SyscallInOutEvent syscall
| Syscall in/out event data.
OutputStringEvent output_string
| Output string event data.
MapEvent map
| Map event data.
}; |

## Detailed Description

Information about a debug event.

The documentation for this struct was generated from the following file:

- include/3ds/svc.h